#!/usr/bin/perl
use Test::Simple tests => 16;

use RPM::VersionCompare qw(labelCompare);

ok(!defined labelCompare(undef, undef), 'Undefined both labels');
ok(!defined labelCompare(undef, '1:1.0'), 'Undefined left label');
ok(!defined labelCompare('1:1.0', undef), 'Undefined right label');

ok(labelCompare('', '') == 0, 'Empty both labels');
ok(labelCompare('', '1:1.0') == -1, 'Empty left label');
ok(labelCompare('1:1.0', '') == 1, 'Empty right label');

ok(!defined labelCompare("1-2-3", '1:1.0'), 'Invalid left label');
ok(!defined labelCompare('1:1.0', "1-2-3"), 'Invalid right label');

ok(labelCompare('1.0', '1.0') == 0, 'Equaled versions only strings');
ok(labelCompare('0.2', '0.1') == 1, 'Greater version only string');

ok(labelCompare('1:1.0', '1:1.0') == 0, 'Equaled strings with epoch');
ok(labelCompare('1:0.1', '2.0') == 1, 'Greater epoch without release');
ok(labelCompare('1:0.1-1', '2.0-2') == 1, 'Greater epoch with release');

ok(labelCompare('1.0-1', '1.0-1') == 0, 'Equaled strings with release');
ok(labelCompare('0.1-2', '0.1-1') == 1, 'Greater release without epoch');
ok(labelCompare('1:0.1-2', '1:0.1-1') == 1, 'Greater release with epoch');

